function rounded=roundsigdgt(number,nSigDigits)
  
# rounded = roundsigdgt(number, nSigDigits)
#
# Rounds a number to the number of significant digits specified by nSigDigits.

# Author:
#   Lukasz Starzak 
#   Dept. of Microelectronics and Computer Science, Lodz University of Technology
 
  numberSign = sign(number);
  if (numberSign != 0)
    numberAbs = abs(number);
    orderMag = floor(log10(numberAbs));
    multiplier = 10^(orderMag - (nSigDigits-1));
    rounded = numberSign * round(numberAbs / multiplier) * multiplier;
  else
    rounded = 0;
  endif
  
endfunction
